### Class

# Dex Channel

#### Description

    final class Dex.Channel : GObject.TypeInstance
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- DexObject

#### Constructors

###### dex_channel_new

Creates a new `DexChannel`.

#### Instance methods

###### dex_channel_can_receive

No description available.

###### dex_channel_can_send

No description available.

###### dex_channel_close_receive

No description available.

###### dex_channel_close_send

No description available.

###### dex_channel_receive

Receives the next item from the channel.

###### dex_channel_receive_all

Will attempt to receive all items in the channel as a `DexFutureSet`.

###### dex_channel_send

Queues `future` into the channel.

##### Methods inherited from DexObject (2)

###### dex_ref

Acquires a reference on the given object, and increases its reference count by one.

###### dex_unref

Releases a reference on the given object, and decreases its reference count by one.